stri_remove_empty {stringi} | R Documentation

## Remove All Empty Strings from a Character Vector

### Description

`stri_remove_empty` (alias `stri_omit_empty`) removes all empty strings from a character vector, and, if `na_empty` is `TRUE`, also gets rid of all missing values.

`stri_remove_empty_na` (alias `stri_omit_empty_na`) removes both empty strings and missing values.

`stri_remove_na` (alias `stri_omit_na`) returns a version of `x` with missing values removed.

### Usage

    stri_remove_empty(x, na_empty = FALSE)

    stri_omit_empty(x, na_empty = FALSE)

    stri_remove_empty_na(x)

    stri_omit_empty_na(x)

    stri_remove_na(x)

    stri_omit_na(x)

### Arguments

`x` | a character vector
`na_empty` | should missing values be treated as empty strings?

### Value

Returns a character vector.

### See Also

Other utils: `stri_list2matrix`, `stri_na2empty`, `stri_replace_na`

### Examples

    stri_remove_empty(stri_na2empty(c("a", NA, "", "b")))
    stri_remove_empty(c("a", NA, "", "b"))
    stri_remove_empty(c("a", NA, "", "b"), TRUE)

    stri_omit_empty_na(c("a", NA, "", "b"))

[Package stringi version 1.4.3 Index]